/*  Copyright (c) 2009 Delft University of Technology

    This file is part of the mac-framework package.

    The mac-framework pakcage is free software: you can redistribute it
    and/or modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    The mac-framework pakcage is distributed in the hope that it will be
    useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the mac-framework package.  If not, see
    <http://www.gnu.org/licenses/>.
*/

#ifndef PHYRADIO_H
#define PHYRADIO_H

typedef struct {
	uint32_t packetsSent;				// packets sent since boot
	uint32_t packetsReceived;		// packets received since boot
	uint32_t packetsSnooped;		// packets snooped since boot
	uint32_t packetsDropped;		// packets dropped since boot
} phyradio_status_t;

#endif
